| The Gaudi Framework v32r1 (f65d50dc)

Private Attributes | List of all members
ModuleIncident Class Reference

base class for Module-related incident More...

`#include <GaudiKernel/ModuleIncident.h>`

Inheritance diagram for ModuleIncident:
[legend]
Collaboration diagram for ModuleIncident:
[legend]

## Public Member Functions
Accessors
const std::string & | module () const
| the model (DLL) being worked on More...
const std::string & | source () const
| Access to the source of the incident. More...
const std::string & | type () const
| Access to the incident type. More...
Public Member Functions inherited from Incident
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Protected Member Functions
protected structors
| ModuleIncident (std::string source, std::string type, std::string module)
virtual | ~ModuleIncident ()=default

## Private Attributes
std::string | m_module
| the model (DLL) being worked on More...

## Detailed Description

base class for Module-related incident

Author
  P. Calafiura

Definition at line 13 of file ModuleIncident.h.

## Constructor & Destructor Documentation

## ◆ ModuleIncident()

ModuleIncident::ModuleIncident | ( | std::string | source,
|  | std::string | type,
|  | std::string | module
| ) |  |
| inline protected

Definition at line 17 of file ModuleIncident.h.

21 : Incident( std::move( source ), std::move( type ) ), m_module( std::move( module ) ) {}
ModuleIncident::m_module
std::string m_module
the model (DLL) being worked on
Definition: ModuleIncident.h:35
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:38
Incident::source
const std::string & source() const
Access to the source of the incident.
Definition: Incident.h:44
std::move
T move(T... args)
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5
ModuleIncident::module
const std::string & module() const
the model (DLL) being worked on
Definition: ModuleIncident.h:31

## ◆ ~ModuleIncident()

virtual ModuleIncident::~ModuleIncident | ( |  | ) |
| protected virtual default

## Member Function Documentation

## ◆ module()

const std::string& ModuleIncident::module | ( |  | ) | const
| inline

the model (DLL) being worked on

Definition at line 31 of file ModuleIncident.h.

31 { return m_module; }
ModuleIncident::m_module
std::string m_module
the model (DLL) being worked on
Definition: ModuleIncident.h:35

## ◆ source()

const std::string& Incident::source
| inline

Access to the source of the incident.

Returns
  service or algorithm name that initiated the incident

Definition at line 44 of file Incident.h.

44 { return m_source; }
Incident::m_source
std::string m_source
Incident source.
Definition: Incident.h:53

## ◆ type()

const std::string& Incident::type
| inline

Access to the incident type.

Returns
  string descriptor for the incident type

Definition at line 38 of file Incident.h.

38 { return m_type; }
Incident::m_type
std::string m_type
incident type
Definition: Incident.h:54

## Member Data Documentation

## ◆ m_module

std::string ModuleIncident::m_module
| private

the model (DLL) being worked on

Definition at line 35 of file ModuleIncident.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ModuleIncident.h